POST /v1/auth/login/mfa/webauthn/finish

POST /v1/auth/login/mfa/webauthn/finish — complete the authentication ceremony. Sets session cookies on success (mirrors verify_login for the code-based factors).

Tags: auth

Request body

Required.

JSON
{
  "$ref": "#/components/schemas/WebauthnAuthFinishRequest"
}

Responses

200 — Session cookies set.

401 — INVALID_CHALLENGE / INVALID_CREDENTIAL

429 — RATE_LIMITED — 5 wrong attempts on this challenge

Code samples

TypeScript

TypeScript
import { firecase } from "@firecase/sdk";

const result = await firecase.post("/auth/login/mfa/webauthn/finish", { /* body */ });
console.log(result);

Python

Python
import firecase

result = firecase.post("/auth/login/mfa/webauthn/finish", json={})
print(result)

curl

Bash
curl -X POST https://api.firecase.ai/v1/auth/login/mfa/webauthn/finish \
  -H "Authorization: Bearer $FIRECASE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'